package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag710;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT710Creator;

/**
 * @author wanggang
 * @date 2023-03-02
 */
public class Tag50BCreator extends AbsTagCreate {

     private MT710Creator mt710Creator;

    public Tag50BCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt710Creator= (MT710Creator) absMTCreator;
    }

    public void creator()
    {
        String tag50BValue = mt710Creator.getNonBankIssuer();
        mt710Creator.set("50B", tag50BValue);
    }
}

